[arch-commits] Commit in kdebase-workspace/repos (3 files)

Pierre Schmitz pierre at archlinux.org
Thu Jan 22 17:51:46 UTC 2009


    Date: Thursday, January 22, 2009 @ 12:51:46
  Author: pierre
Revision: 25016

Merged revisions 24257,24822,24882,24973 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/kdebase-workspace/trunk

........
  r24257 | pierre | 2009-01-15 14:51:25 +0100 (Do, 15 Jan 2009) | 1 line
  
  use sane path for env and shutdown dir
........
  r24822 | pierre | 2009-01-21 13:44:25 +0100 (Mi, 21 Jan 2009) | 1 line
  
  add consolekit; disable googlegadgets and qedje
........
  r24882 | pierre | 2009-01-22 11:41:18 +0100 (Do, 22 Jan 2009) | 1 line
  
  prepare for KDE 4.2.0
........
  r24973 | pierre | 2009-01-22 16:04:39 +0100 (Do, 22 Jan 2009) | 1 line
  
  KDE 4.2.0 (non-final, try #1)
........

Added:
  kdebase-workspace/repos/testing-x86_64/fixpath.patch
    (from rev 24973, kdebase-workspace/trunk/fixpath.patch)
Modified:
  kdebase-workspace/repos/testing-x86_64/	(properties)
  kdebase-workspace/repos/testing-x86_64/PKGBUILD

---------------+
 PKGBUILD      |   23 ++++++++++++++---------
 fixpath.patch |   34 ++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+), 9 deletions(-)


Property changes on: kdebase-workspace/repos/testing-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /kdebase-workspace/trunk:1-23698
   + /kdebase-workspace/trunk:1-25015

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2009-01-22 17:51:06 UTC (rev 25015)
+++ testing-x86_64/PKGBUILD	2009-01-22 17:51:46 UTC (rev 25016)
@@ -2,7 +2,7 @@
 # Maintainer: Pierre Schmitz <pierre at archlinux.de>
 
 pkgname=kdebase-workspace
-pkgver=4.1.96
+pkgver=4.2.0
 pkgrel=1
 pkgdesc="KDE Base Workspace"
 arch=('i686' 'x86_64')
@@ -10,34 +10,38 @@
 license=('GPL' 'LGPL' 'FDL')
 groups=('kde')
 depends=('kdepimlibs' 'kdebase-runtime' 'libcaptury' 'libxxf86misc' 'libxcomposite' 
-	 'libxss' 'lm_sensors' 'libxklavier' 'qimageblitz' 'xdg-utils')
-makedepends=('pkgconfig' 'cmake' 'automoc4' 'networkmanager' 'bluez')
+	 'libxss' 'lm_sensors' 'libxklavier' 'qimageblitz' 'xdg-utils' 'consolekit')
+makedepends=('pkgconfig' 'cmake' 'automoc4' 'networkmanager' 'bluez' 'kdebindings')
 replaces=('kdmtheme' 'kde-common' 'guidance-power-manager')
 conflicts=('kde-common')
+optdepends=('kdebindings: plasma scriptengine for Python')
 options=('docs')
 install='kdebase-workspace.install'
 backup=('usr/share/config/kdm/kdmrc')
-source=("http://download.kde.org/unstable/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2"
-        'kdm-zsh-profile.patch' 'kdm' 'kde.pam' 'kde-np.pam' 'kscreensaver.pam')
-md5sums=('e4fd6e11f45e5099de521867797bf86b'
+source=("http://download.kde.org/stable/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2"
+        'kdm-zsh-profile.patch' 'kdm' 'kde.pam' 'kde-np.pam' 'kscreensaver.pam'
+        'fixpath.patch')
+md5sums=('193e30b9ed0b55b0196289d9df43a904'
          '721e97031b62aee8914e8617e86f9235'
          '5d80164932e0d44d8b802d3929a004ab'
          '10a490653b002e6f9e7476ff9d37c011'
          '552337fd9a3982d809ea16c7f0033d42'
-         '367a3538f54db71f108b34cfa31088ac')
+         '367a3538f54db71f108b34cfa31088ac'
+         'e2eb9d270fe0e93901b29256bdedd7e2')
 
 build() {
 	cd $srcdir/${pkgname}-${pkgver}
 	patch -p0 -i ${srcdir}/kdm-zsh-profile.patch || return 1
+	patch -p0 -i ${srcdir}/fixpath.patch || return 1
 	cd ../
 	mkdir build
 	cd build
-	# FIXME: might need kdebindings which itself needs kdebase-workspace
 	cmake ../${pkgname}-${pkgver} \
 		-DCMAKE_BUILD_TYPE=Release \
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DWITH_Xmms=OFF \
-		-DWITH_PyKDE4=OFF
+		-DWITH_Googlegadgets=OFF \
+		-DWITH_QEdje=OFF
 	make
 	make DESTDIR=$pkgdir install
 
@@ -47,4 +51,5 @@
 	install -D -m644 ${srcdir}/kscreensaver.pam ${pkgdir}/etc/pam.d/kscreensaver
 	install -d -m755 ${pkgdir}/etc/X11/sessions/
 	ln -sf /usr/share/apps/kdm/sessions/kde{,-safe}.desktop ${pkgdir}/etc/X11/sessions/
+	install -d -m755 ${pkgdir}/etc/kde/{env,shutdown}
 }

Copied: kdebase-workspace/repos/testing-x86_64/fixpath.patch (from rev 24973, kdebase-workspace/trunk/fixpath.patch)
===================================================================
--- testing-x86_64/fixpath.patch	                        (rev 0)
+++ testing-x86_64/fixpath.patch	2009-01-22 17:51:46 UTC (rev 25016)
@@ -0,0 +1,34 @@
+--- startkde.cmake.orig	2009-01-15 14:24:44.000000000 +0100
++++ startkde.cmake	2009-01-15 14:33:08.000000000 +0100
+@@ -34,22 +34,6 @@
+ MALLOC_CHECK_=2 
+ export MALLOC_CHECK_
+ 
+-# in case we have been started with full pathname spec without being in PATH
+-bindir=`echo "$0" | sed -n 's,^\(/.*\)/[^/][^/]*$,\1,p'`
+-if [ -n "$bindir" ]; then
+-  qbindir=`$bindir/kde4-config --qt-binaries`
+-  if [ -n "$qbindir" ]; then
+-    case $PATH in
+-      $qbindir|$qbindir:*|*:$qbindir|*:$qbindir:*) ;;
+-      *) PATH=$qbindir:$PATH; export PATH;;
+-    esac
+-  fi
+-  case $PATH in
+-    $bindir|$bindir:*|*:$bindir|*:$bindir:*) ;;
+-    *) PATH=$bindir:$PATH; export PATH;;
+-  esac
+-fi
+-
+ # Boot sequence:
+ #
+ # kdeinit is used to fork off processes which improves memory usage
+@@ -206,7 +190,7 @@
+ # For anything else (that doesn't set env vars, or that needs a window manager),
+ # better use the Autostart folder.
+ 
+-libpath=`kde4-config --path lib | tr : '\n'`
++libpath=`kde4-config --path lib | tr : '\n'`'\n/etc/kde/lib/'
+ 
+ for prefix in `echo "$libpath" | sed -n -e 's,/lib[^/]*/,/env/,p'`; do
+   for file in "$prefix"*.sh; do




More information about the arch-commits mailing list